#include <iostream>
using namespace std;

int main()
{
    int n,k,x,br=0;
    cin>>n>>k;
    static int arr1[2000001];
    for(int i=0; i<n; i++)
    {
        cin>>x;
        arr1[x+n]++;
    }
    for(int j=0; j<2000001; j++)
    {
        if(arr1[j]>=k)
        {
            br++;
        }
    }
    cout<<br<<endl;
    for(int j=0; j<2000001; j++)
    {
        if(arr1[j]>=k)
        {
            cout<<j-n<<" ";
        }
    }
}